Package org.springframework.security.config.observation

# Class SecurityObservationSettings.Builder

java.lang.Object
org.springframework.security.config.observation.SecurityObservationSettings.Builder

Enclosing class:
  SecurityObservationSettings

public static final class SecurityObservationSettings.Builder extends Object
A builder for configuring a `SecurityObservationSettings`

## Method Summary

Modifier and Type
Method
Description
`SecurityObservationSettings`
`build()`
`SecurityObservationSettings.Builder`
`shouldObserveAuthentications(boolean excludeAuthentications)`
`SecurityObservationSettings.Builder`
`shouldObserveAuthorizations(boolean excludeAuthorizations)`
`SecurityObservationSettings.Builder`
`shouldObserveRequests(boolean excludeFilters)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### shouldObserveRequests

public SecurityObservationSettings.Builder shouldObserveRequests(boolean excludeFilters)

### shouldObserveAuthentications

public SecurityObservationSettings.Builder shouldObserveAuthentications(boolean excludeAuthentications)

### shouldObserveAuthorizations

public SecurityObservationSettings.Builder shouldObserveAuthorizations(boolean excludeAuthorizations)

### build

public SecurityObservationSettings build()